from dotabase import *
from typing import TypeVar, Generic
import datetime

session = dotabase_session()


class LocaleWrapper():
	def __init__(self, object, locale):
		self.object = object
		self.locale = locale

	def __getattr__(self, name):
		if not hasattr(self.object, name):
			return None
		for string in self.object.strings:
			if string.lang == self.locale and string.column == name:
				return string.value
		return getattr(self.object, name)
	

for ability in session.query(Ability).filter_by(hero_id=6):
	print(f"\n\n### {ability.localized_name} ({ability.id})")
	# print(ability.get("russian", "description"))
	print(ability._locale)
	print(ability.description_L)
	ability._locale = "russian"
	print(ability._locale)
	print(ability.description_L)

	# localized_ability = LocaleWrapper(ability, "russian")
	# print(localized_ability.description)
	
